Intermittent browser/components/preferences/in-content/tests/browser_clearSiteData.js | A promise chain failed to handle a rejection: [Exception... "Abort" nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "<unknown>" data: no] - stack: null

RESOLVED FIXED in Firefox 67

Status

()

defect
P3
normal
RESOLVED FIXED
2 years ago
4 months ago

People

(Reporter: intermittent-bug-filer, Assigned: Ehsan)

Tracking

({intermittent-failure})

unspecified
mozilla68
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox67 fixed, firefox68 fixed)

Details

(Whiteboard: [stockwell fixed])

Attachments

(3 attachments, 1 obsolete attachment)

Hi Michael, please check if this is a regression from bug 1432759. Bug 1436931 is another new intermittent in the same test.
Flags: needinfo?(me)
Pretty sure this is from bug 1422163.
Blocks: 1422163
Flags: needinfo?(me)
Happy to investigate if that was caused by me. Keep me in the loop :)
See Also: → 1442553
This seems to be because of Quota Manager or IndexedDB returning NS_ERROR_ABORT.
Component: Preferences → DOM: Quota Manager
Product: Firefox → Core
Duplicate of this bug: 1476896
Tom, would you have time to have a look?
Flags: needinfo?(shes050117)
Priority: -- → P3
Will spend some time on investigating in this
Assignee: nobody → shes050117
Status: NEW → ASSIGNED
Flags: needinfo?(shes050117)
On my Linux machine, this test failed directly. The error message I got was:
  mozilla-central/dom/cache/FileUtils.cpp, line 718 [1] -> cannot read file access
  mozilla-central/dom/cache/DBSchema.cpp, line 563  [2] -> cannot access sql command

From an error log on try with a debug build [4], errors are different but it's also file stream access error:
[task 2018-11-02T22:44:57.558Z] 22:44:57     INFO - GECKO(3686) | [Parent 3686, QuotaManager IO] WARNING: '!outputStream', file /builds/worker/workspace/build/src/dom/quota/ActorsParent.cpp, line 2162
[task 2018-11-02T22:44:57.561Z] 22:44:57     INFO - GECKO(3686) | [Parent 3686, QuotaManager IO] WARNING: 'NS_FAILED(rv)', file /builds/worker/workspace/build/src/dom/quota/ActorsParent.cpp, line 6606
[task 2018-11-02T22:44:57.562Z] 22:44:57     INFO - GECKO(3686) | [Parent 3686, QuotaManager IO] WARNING: 'NS_FAILED(rv)', file /builds/worker/workspace/build/src/dom/quota/ActorsParent.cpp, line 6452
[task 2018-11-02T22:44:57.562Z] 22:44:57     INFO - GECKO(3686) | [Parent 3686, QuotaManager IO] WARNING: 'NS_FAILED(rv)', file /builds/worker/workspace/build/src/dom/quota/ActorsParent.cpp, line 6316

so that QuotaManager returned NS_ERROR_ABORT [3] which behaves reasonably to me...

Maybe it's because this test makes too many IO access in a short time and it needs to be somehow slow down?

[1] https://searchfox.org/mozilla-central/rev/7c848ac7630df5baf1314b0c03e015683599efb9/dom/cache/FileUtils.cpp#718
[2] https://searchfox.org/mozilla-central/rev/7c848ac7630df5baf1314b0c03e015683599efb9/dom/cache/DBSchema.cpp#563
[3] https://searchfox.org/mozilla-central/rev/7c848ac7630df5baf1314b0c03e015683599efb9/dom/quota/ActorsParent.cpp#7021
[4] https://treeherder.mozilla.org/logviewer.html#?job_id=209542657&repo=mozilla-central&lineNumber=9318
Over the last 7 days this bug has 33 failures, these happen on windows7-32, osx-10-10, linux64-nightly, linux64

Here is the most recent log example: https://treeherder.mozilla.org/logviewer.html#?job_id=213509011&repo=autoland&lineNumber=3701
Flags: needinfo?(shes050117)
Will work on it again after bug 1432133
Flags: needinfo?(shes050117)
There are 48 failures asociated to this bug in the last 7 days. These are occurring on OS X, opt builds.

Any updates for this?
Flags: needinfo?(shes050117)
I don't have anything new, but based on what the unexpected errors on debug build [1]. I guess my suspicion is still valid. I'll try to see if I can have a patch this week.

[1] https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=214176579&repo=try&lineNumber=4046-4049
Flags: needinfo?(shes050117)
There are 35 failures in the last week for this bug, most of them on OSX opt: https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2018-12-06&endday=2018-12-13&tree=all&bug=1436395 

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=216686386&repo=autoland&lineNumber=4450

14:50:25     INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | Should have the correct permission state. - 
14:50:25     INFO - Console message: [JavaScript Error: "NS_ERROR_ABORT"]
14:50:25     INFO - Buffered messages finished
14:50:25     INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | A promise chain failed to handle a rejection: [Exception... "Abort"  nsresult: "0x80004004 (NS_ERROR_ABORT)"  location: "<unknown>"  data: no] - stack: (No stack available.)
14:50:25     INFO - Rejection date: Wed Dec 12 2018 14:50:25 GMT-0800 (Pacific Standard Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
14:50:25     INFO - Stack trace:
14:50:25     INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
14:50:25     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1118
14:50:25     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1084
14:50:25     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:982
14:50:25     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
14:50:25     INFO - GECKO(1065) | JavaScript error: , line 0: NS_ERROR_STORAGE_BUSY
14:50:25     INFO - Leaving test bound 
14:50:25     INFO - Entering test bound 
14:50:25     INFO - Console message: [JavaScript Error: "NS_ERROR_STORAGE_BUSY"]
14:50:25     INFO - Console message: [JavaScript Error: "NS_ERROR_STORAGE_BUSY"]
14:50:25     INFO - Console message: [JavaScript Error: "NS_ERROR_STORAGE_BUSY"]
14:50:25     INFO - Console message: [JavaScript Error: "NS_ERROR_STORAGE_BUSY"]
14:50:25     INFO - Console message: [JavaScript Error: "NS_ERROR_STORAGE_BUSY"]
14:50:25     INFO - Console message: [JavaScript Error: "NS_ERROR_STORAGE_BUSY"]
14:50:25     INFO - Console message: [JavaScript Error: "NS_ERROR_STORAGE_BUSY"]
14:50:25     INFO - Console message: [JavaScript Error: "NS_ERROR_STORAGE_BUSY"]
14:50:25     INFO - Console message: [JavaScript Error: "NS_ERROR_STORAGE_BUSY"]
14:50:26     INFO - GECKO(1065) | JavaScript error: resource:///actors/OfflineAppsChild.jsm, line 112: NS_ERROR_ILLEGAL_VALUE:
14:50:26     INFO - Console message: Offline cache update done, URL=https://example.org/browser/browser/components/preferences/in-content/tests/siteData//offline/manifest.appcache
14:50:26     INFO - Console message: [JavaScript Error: "NS_ERROR_ILLEGAL_VALUE: " {file: "resource:///actors/OfflineAppsChild.jsm" line: 112}]
14:50:27     INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js |
We have 52 failures in the last 7 days.
For the failure pattern please see Comment 57
:overholt, can you please take a look into this?
Flags: needinfo?(overholt)
baku, Ehsan said you'd made recent changes in this area (I actually only saw Johann's changes in bug 1348223). Do you know what could be wrong here? It might be totally unrelated to the clearing of site data in which case, sorry for the errant needinfo :)
Flags: needinfo?(overholt) → needinfo?(amarchesini)

In the last 7 days there have been 76 occurrences, most on OS X 10-10 Opt, some on Linux 32 & 64 debug pgo and opt, and some on windows.

Disabled on all platforms

Attachment #9036186 - Flags: review?(jmaher)
Comment on attachment 9036186 [details] [diff] [review]
Disable browser_clearSiteData.js for frequent failures

Review of attachment 9036186 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/components/preferences/in-content/tests/siteData/browser.ini
@@ +8,4 @@
>    offline/manifest.appcache
>  
>  [browser_clearSiteData.js]
> +skip-if = true # Bug 1436395

can we do this for |os == 'osx' && !debug|?  While I see linux/windows failures, I suspect we will have ~10/week for those other platforms.
Attachment #9036186 - Flags: review?(jmaher) → review-

Done the corrections. Thank you

Attachment #9036186 - Attachment is obsolete: true
Attachment #9036195 - Flags: review?(jmaher)
Comment on attachment 9036195 [details] [diff] [review]
Disable browser_clearSiteData.js on mac for frequent failures

Review of attachment 9036195 [details] [diff] [review]:
-----------------------------------------------------------------

thanks!
Attachment #9036195 - Flags: review?(jmaher) → review+
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]

Pushed by ccoroiu@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/4cbb6dfb13e0
disable browser_clearSiteData.js on mac for frequent failures. r=jmaher

Keywords: checkin-needed

There are 21 failures in the last 7 days on linux64/32 and windows7-32 all build types.

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=230908268&repo=mozilla-inbound&lineNumber=16173

0:57:19 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | Found the service worker registered for https://example.org/browser/browser/components/preferences/in-content/tests/siteData//service_worker_test.html -
00:57:19 INFO - Buffered messages logged at 00:57:17
00:57:19 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | The cache usage should not be 0 - 40960 > 0 -
00:57:19 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | The quota usage should not be 0 - 49152 > 0 -
00:57:19 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | The total usage should not be 0 - 176941 > 0 -
00:57:19 INFO - Buffered messages logged at 00:57:18
00:57:19 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | Check the proper URL is loaded -
00:57:19 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | Element should not be null, when checking visibility -
00:57:19 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | Overlay is visible -
00:57:19 INFO - found chrome://browser/skin/preferences/preferences.css
00:57:19 INFO - found chrome://global/skin/in-content/common.css
00:57:19 INFO - found chrome://browser/skin/preferences/in-content/preferences.css
00:57:19 INFO - found chrome://browser/skin/preferences/in-content/dialog.css
00:57:19 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | All expectedStyleSheetURLs should have been found -
00:57:19 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | The cache usage should not be 0 - 40960 > 0 -
00:57:19 INFO - Console message: [JavaScript Error: "NS_ERROR_ABORT"]
00:57:19 INFO - Console message: [JavaScript Error: "NS_ERROR_ABORT"]
00:57:19 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | Cleared all service workers -
00:57:19 INFO - TEST-PASS | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | Should have the correct permission state. -
00:57:19 INFO - Buffered messages finished
00:57:19 INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js | A promise chain failed to handle a rejection: [Exception... "Abort" nsresult: "0x80004004 (NS_ERROR_ABORT)" location: "<unknown>" data: no] - stack: (No stack available.)
00:57:19 INFO - Rejection date: Thu Feb 28 2019 00:57:18 GMT+0000 (Greenwich Mean Time) - false == true - JS frame :: resource://testing-common/PromiseTestUtils.jsm :: assertNoUncaughtRejections :: line 257
00:57:19 INFO - Stack trace:
00:57:19 INFO - resource://testing-common/PromiseTestUtils.jsm:assertNoUncaughtRejections:257
00:57:19 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1130
00:57:19 INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1134
00:57:19 INFO - chrome://mochikit/content/browser-test.js:nextTest/<:995
00:57:19 INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<:803
00:57:19 INFO - Leaving test bound
00:57:19 INFO - Entering test bound
00:57:19 INFO - GECKO(4868) | ++DOCSHELL 0B273C00 == 4 [pid = 5420] [id = {c3bc2f3b-9317-4fef-858d-c474bd3b6a27}]
00:57:19 INFO - GECKO(4868) | ++DOMWINDOW == 11 (08202A00) [pid = 5420] [serial = 11] [outer = 00000000]
00:57:19 INFO - GECKO(4868) | ++DOMWINDOW == 12 (0B275400) [pid = 5420] [serial = 12] [outer = 08202A00]
00:57:19 INFO - GECKO(4868) | [Parent 3524, Main Thread] WARNING: 'NS_FAILED(rv)', file z:/build/build/src/netwerk/url-classifier/UrlClassifierCommon.cpp, line 122
00:57:19 INFO - GECKO(4868) | ++DOMWINDOW == 13 (0B27D400) [pid = 5420] [serial = 13] [outer = 08202A00]
00:57:19 INFO - Console message: Offline cache update done, URL=https://example.org/browser/browser/components/preferences/in-content/tests/siteData//offline/manifest.appcache
00:57:19 INFO - GECKO(4868) | ++DOCSHELL 0096A000 == 2 [pid = 4872] [id = {1bbbb069-22ff-4954-9e6f-d8044c13ec47}]
00:57:19 INFO - GECKO(4868) | ++DOMWINDOW == 4 (07D18410) [pid = 4872] [serial = 4] [outer = 00000000]
00:57:19 INFO - GECKO(4868) | ++DOMWINDOW == 5 (07DA8C00) [pid = 4872] [serial = 5] [outer = 07D18410]

Andrea can you take a look at Comment 63 ?

Flags: needinfo?(amarchesini)
Flags: needinfo?(amarchesini)

With the upcoming landing and preffing on of lsng (bug 1517090), we're going to see an increase in failures here. Can we (at least until more investigation can occur) disable this on non-Mac platforms, too?

Flags: needinfo?(jmaher)
Flags: needinfo?(ccoroiu)
https://hg.mozilla.org/integration/mozilla-inbound/rev/10314be727464d1753098ffd3361801834bc14a7
Bug 1436395 - Temporarily disable browser/components/preferences/in-content/tests/siteData/browser_clearSiteData.js on all platforms; r=asuth

Thanks :janv and :asuth for doing this.

Flags: needinfo?(jmaher)
Flags: needinfo?(ccoroiu)

Not great to have this disabled everywhere, how can we make sure that disable was "temporary"? :(

I assume when :baku addresses the needinfo it will be clear what the next steps are here (either a fix to the test or the browser)? If there is someone else who should own this, please needinfo them or assign it to them

Do you have time to take a look?

Flags: needinfo?(amarchesini) → needinfo?(jhofmann)

The fix on bug 1498102 should fix this bug.

Depends on: 1498102
Flags: needinfo?(jhofmann)
Assignee: shes050117 → ehsan
Keywords: leave-open
Pushed by eakhgari@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/7336e020c57a
Re-enable browser_clearSiteData.js now that bug 1498102 has been fixed; r=asuth
Status: ASSIGNED → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla68
Flags: in-testsuite+
Whiteboard: [stockwell disabled] → [stockwell fixed]
You need to log in before you can comment on or make changes to this bug.